# lxtools_installer

LX Tools Installer  is a GUI for simple install, update, and remove Apps from ilunix.de

## Build

Create a compatible AppImage:
```bash
./build_compatible.sh
```

This creates:
- `lxtools_installer{VERSION}-x86_64.AppImage` - The executable
- `lxtools_installer{VERSION}-x86_64.AppImage.sha256` - SHA256 checksum
- `lxtools_installer{VERSION}-x86_64.AppImage.asc` - GPG signature (if configured)

## GPG Setup

To enable GPG signing:
```bash
./gpg_setup.sh
```

## Verification

Verify the downloaded AppImage:
```bash
# Check SHA256
sha256sum -c lxtools_installer{VERSION}-x86_64.AppImage.sha256

# Verify GPG signature (requires public key)
gpg --import public_key.asc
gpg --verify lxtools_installer{VERSION}-x86_64.AppImage.asc lxtools_installer{VERSION}-x86_64.AppImage
```

# Screenshots
[![wire-py.png](https://fb.ilunix.de/api/public/dl/ZnfG9gxv?inline=true)](https://fb.ilunix.de/share/ZnfG9gxv)